Subject: bug#36861: 27.0.50; display-fill-column-indicator-mode in log-edit-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Aug 2019 17:59:28 +0300

> Date: Sun, 04 Aug 2019 22:30:05 +0200
> CC: Eli Zaretskii <[email-masked]>,[email-masked]
> From: Ergus <[email-masked]>
> 
> Dfci was not designed to be used in this way, and the mode initialization actually sets the character, but in the
> future it could make many other dynamic tests/checks if needed. So I don't think we should modify it to work
> the other way you suggest, because for menit is not general enough. But I will follow the Eli's suggestions in
> this aspects more than my own opinion. 
> Any way, if you want to use the mode in this way (for now) you can/need to set the
> display-fill-column-indicator-character to your desired value and it should work as it is now. But I can't promise
> that it will work the same way in the future.
> But again, probably Eli will suggest a better solution for your use case.

I don't think I understand the problem.  Why doesn't just setting the
characters and the mode variable work as expected?  AFAIU, one needs
to call the mode function only if one wants Emacs to deduce the
indicator character automatically.